package com.tofly.ghrq_route.module.map.controller;

import com.esri.arcgisruntime.data.Feature;
import com.google.gson.JsonObject;
import com.tofly.ghrq_route.module.map.domain.LayerSidBean;
import com.tofly.ghrq_route.module.pipeAnalyze.domain.PipeAnalysisResultBean;
import com.tofly.ghrq_route.module.pipeAnalyze.domain.PipeAnalyzeFindTaskBean;
import com.tofly.ghrq_route.module.pipeAnalyze.domain.PipeAnalyzeStatusBean;

import java.util.List;

public class MapServiceCallback {
    public void onCommitPipeAnalyzePoint(boolean isSuccess, int errorCode, String errMsg) {

    }

    public void onGetLayerInfo(boolean isSuccess, int errorCode, String errMsg, String layerdbname) {

    }

    public void onSubmitPipeAnalyzeJobt(boolean isSuccess, int errorCode, String errMsg, String job_id) {

    }

    public void onGetPipeAnalyzeJobStatus(boolean isSuccess, int errorCode, String errMsg, PipeAnalyzeStatusBean statusBean) {

    }

    public void onGetPipeAnalyzeResult(boolean isSuccess, int errorCode, String errMsg, PipeAnalysisResultBean resultBean) {

    }

    public void onPipeAnalyzeFindTask(boolean isSuccess, int errorCode, String errMsg, List<PipeAnalyzeFindTaskBean> taskBeans) {

    }

    public void onGetLayerIdBySid(boolean isSuccess, int errorCode, String errMsg, LayerSidBean layerSidBean) {

    }

    public void onQueryMapBySid(boolean isSuccess, int errorCode, String errMsg, JsonObject jsonAttributes, JsonObject jsonGeometry, String tableName ) {

    }

    public void onGetDevices(List<Feature> devices) {

    }

    public void onError(String error) {

    }
}
